Loading...
Searching...
No Matches
mbedtls_dhm_context Struct Reference

The DHM context structure. More...

`#include <dhm.h>`

Collaboration diagram for mbedtls_dhm_context:
[legend]

## Data Fields

size_t | len
mbedtls_mpi | P
mbedtls_mpi | G
mbedtls_mpi | X
mbedtls_mpi | GX
mbedtls_mpi | GY
mbedtls_mpi | K
mbedtls_mpi | RP
mbedtls_mpi | Vi
mbedtls_mpi | Vf
mbedtls_mpi | pX

## Detailed Description

The DHM context structure.

Definition at line 99 of file dhm.h.

## Field Documentation

## G

mbedtls_mpi mbedtls_dhm_context::G

The generator.

Definition at line 102 of file dhm.h.

## GX

mbedtls_mpi mbedtls_dhm_context::GX

Our public key = `G^X` mod `P`.

Definition at line 104 of file dhm.h.

## GY

mbedtls_mpi mbedtls_dhm_context::GY

The public key of the peer = `G^Y` mod `P`.

Definition at line 105 of file dhm.h.

## K

mbedtls_mpi mbedtls_dhm_context::K

The shared secret = `G^`(XY) mod `P`.

Definition at line 106 of file dhm.h.

## len

size_t mbedtls_dhm_context::len

The size of `P` in Bytes.

Definition at line 100 of file dhm.h.

## P

mbedtls_mpi mbedtls_dhm_context::P

The prime modulus.

Definition at line 101 of file dhm.h.

## pX

mbedtls_mpi mbedtls_dhm_context::pX

The previous `X`.

Definition at line 110 of file dhm.h.

## RP

mbedtls_mpi mbedtls_dhm_context::RP

The cached value = `R^2` mod `P`.

Definition at line 107 of file dhm.h.

## Vf

mbedtls_mpi mbedtls_dhm_context::Vf

The unblinding value.

Definition at line 109 of file dhm.h.

## Vi

mbedtls_mpi mbedtls_dhm_context::Vi

The blinding value.

Definition at line 108 of file dhm.h.

## X

mbedtls_mpi mbedtls_dhm_context::X

Our secret value.

Definition at line 103 of file dhm.h.

The documentation for this struct was generated from the following file:

- dhm.h